Bug 965443 - Review Request: mod_auth_openid - OpenID authentication for apache
Review Request: mod_auth_openid - OpenID authentication for apache
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 691602 (view as bug list)
Depends On: 825333
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 05:09 EDT by Patrick Uiterwijk
Modified: 2013-10-28 08:02 EDT (History)
6 users (show)

See Also:
Fixed In Version: mod_auth_openid-0.7-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 18:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2013-05-21 05:09:33 EDT
Spec URL: http://puiterwijk.fedorapeople.org//mod_auth_openid.spec
SRPM URL: http://puiterwijk.fedorapeople.org//mod_auth_openid-0.7-1.fc18.src.rpm

Description:
mod_auth_openid is an authentication module for the Apache 2 webserver.
It handles the functions of an OpenID consumer as specified in the OpenID 2.0 specification.
Comment 1 Patrick Uiterwijk 2013-05-21 05:10:56 EDT
I did not create a mock build because libopkele has not yet landed in rawhide.
When that is installed manually, you can build this package.
Comment 2 Patrick Uiterwijk 2013-05-21 05:14:38 EDT
Also, please note that because of the newer version of httpd, this will not currently build on rawhide.
I am currently working with upstream to fix this, but I need this package primarily for the EPEL6 branch.
Comment 3 Patrick Uiterwijk 2013-05-21 05:21:42 EDT
*** Bug 691602 has been marked as a duplicate of this bug. ***
Comment 4 Kevin Fenzi 2013-05-21 14:57:51 EDT
I'll go ahead and review this, look for a review later today.
Comment 5 Kevin Fenzi 2013-05-21 15:24:55 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
58cb927121d39557a3593b10db8c960440295fb49cddf8120d6a5b521877ed4c  mod_auth_openid-0.7.tar.gz
58cb927121d39557a3593b10db8c960440295fb49cddf8120d6a5b521877ed4c  mod_auth_openid-0.7.tar.gz.orig

See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
See below - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
See below - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. You are missing a
BuildRequires: tidy-devel 
that causes it to not build. 

2. The module is installed with mode 644, but that causes rpm to not be able to 
handle looking for deps on it. Installed with 755, it finds them and you can drop: 

Requires:       libopkele
Requires:       sqlite
Requires:       pcre
Requires:       libcurl

3. You have: 
cat %{SOURCE2} %{SOURCE1} > %{buildroot}%{_httpd_confdir}/mod_security.conf

Shouldn't that be: 
cat %{SOURCE2} %{SOURCE1} > %{buildroot}%{_httpd_confdir}/mod_auth_openid.conf

4. rpmlint says:

mod_auth_openid.src: W: spelling-error Summary(en_US) apache -> Apache, apace
mod_auth_openid.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
mod_auth_openid.src: W: spelling-error %description -l en_US openid -> opined, opened, open id
mod_auth_openid.src: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
mod_auth_openid.x86_64: W: spelling-error Summary(en_US) apache -> Apache, apace
mod_auth_openid.x86_64: W: spelling-error %description -l en_US auth -> auto, Ruth, author
mod_auth_openid.x86_64: W: spelling-error %description -l en_US openid -> opined, opened, open id
mod_auth_openid.x86_64: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
mod_auth_openid-debuginfo.x86_64: W: spelling-error Summary(en_US) auth -> auto, Ruth, author
mod_auth_openid-debuginfo.x86_64: W: spelling-error Summary(en_US) openid -> opined, opened, open id
mod_auth_openid-debuginfo.x86_64: W: spelling-error %description -l en_US auth -> auto, Ruth, author
mod_auth_openid-debuginfo.x86_64: W: spelling-error %description -l en_US openid -> opined, opened, open id

Useless spelling errors, can be ignored. 

mod_auth_openid.src: E: description-line-too-long C It handles the functions of an OpenID consumer as specified in the OpenID 2.0 specification.
mod_auth_openid.x86_64: E: description-line-too-long C It handles the functions of an OpenID consumer as specified in the OpenID 2.0 specification.

Might change this to: "OpenID 2.0 consumer module for apache web server" ?

mod_auth_openid.x86_64: E: explicit-lib-dependency libcurl
mod_auth_openid.x86_64: E: explicit-lib-dependency libopkele

These would be fixed by above requires being dropped. 

mod_auth_openid.x86_64: E: non-standard-dir-perm /var/lib/mod_auth_openid 0770L

Do you need this perm?
Comment 6 Patrick Uiterwijk 2013-05-21 15:44:29 EDT
BuildRequires and Requires fixed.
Description line changed according to suggestion.

The permission is strict because that directory will be the default location for the OpenID state database, which contains the negotiated secret keys.


New Spec URL: http://puiterwijk.fedorapeople.org/mod_auth_openid.spec
New SRPM URL: http://puiterwijk.fedorapeople.org/mod_auth_openid-0.7-2.fc18.src.rpm
Comment 7 Kevin Fenzi 2013-05-21 17:07:53 EDT
All those changes look good. I see no further blockers, so this package is APPROVED. 

Happy to co-maintain.
Comment 8 Patrick Uiterwijk 2013-05-21 17:12:53 EDT
New Package SCM Request
=======================
Package Name: mod_auth_openid
Short Description: OpenID authentication for apache
Owners: puiterwijk kevin
Branches: el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-05-22 12:43:23 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-05-29 18:36:41 EDT
mod_auth_openid-0.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mod_auth_openid-0.7-2.el6
Comment 11 Fedora Update System 2013-05-29 20:01:51 EDT
mod_auth_openid-0.7-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2013-06-14 18:26:21 EDT
mod_auth_openid-0.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Christopher Meng 2013-10-23 06:45:41 EDT
Upstream has released 0.8 version.  Can you build it on rawhide now?
Comment 14 Patrick Uiterwijk 2013-10-26 07:26:55 EDT
Package Change Request
======================
Package Name: mod_auth_openid
New Branches: f19 f20
Owners: puiterwijk kevin
InitialCC: 

It got fixed for Apache 2.4, so I can now build it for this
Comment 15 Gwyn Ciesla 2013-10-28 08:02:48 EDT
Git done (by process-git-requests).

f20 already existed.

Note You need to log in before you can comment on or make changes to this bug.